Your message dated Sun, 12 Feb 2017 22:49:09 +0000
with message-id <[email protected]>
and subject line Bug#757083: fixed in sysvinit 2.88dsf-59.9
has caused the Debian Bug report #757083,
regarding initscripts: please treat /usr (if separate) the same as /
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
757083: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=757083
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: initscripts
Version: 2.88dsf-53.2
Severity: normal
Tags: patch
User: [email protected]
Usertags: usrinitramfs
Control: block 652459 by -1

In #652459, Roger Leigh wrote:
> In order to make the libraries and binaries in /usr available during
> early boot, it would be desirable to be able to mount /usr in addition
> to the rootfs inside the initramfs.
...
> I should also mention that this can't go into unstable until some
> prerequisite changes are made to util-linux and initscripts:
> - initscripts needs to fsck /usr (and /etc) in checkroot.sh since
>   like the rootfs it's mounted read-only in the initramfs
> - initscripts needs to remount /usr (and /etc) read-write as for
>   the rootfs

This bug tracks those changes to initscripts.

rleigh's proposed patch is at
<http://anonscm.debian.org/gitweb/?p=users/rleigh/sysvinit.git;a=commitdiff;h=d406626ecad8988198542f270b663f3503f0b7ae>
and I attach it here for your convenience.

    S
>From d406626ecad8988198542f270b663f3503f0b7ae Mon Sep 17 00:00:00 2001
From: Roger Leigh <[email protected]>
Date: Sat, 18 May 2013 21:08:16 +0100
Subject: [PATCH] Handle mounting /usr in the initramfs

---
 debian/changelog                                   |   6 +
 debian/src/initscripts/etc/init.d/checkroot.sh     | 225 +++++++++++----------
 debian/src/initscripts/lib/init/mount-functions.sh |  94 ++++++---
 3 files changed, 190 insertions(+), 135 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 40013dd..4f5a5a8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+sysvinit (2.88dsf-42+usrmount1) UNRELEASED; urgency=low
+
+  * Add special handling for /usr and /etc in checkroot.sh.
+
+ -- Roger Leigh <[email protected]>  Sun, 12 May 2013 17:32:14 +0100
+
 sysvinit (2.88dsf-42) unstable; urgency=low
 
   [ Roger Leigh ]
diff --git a/debian/src/initscripts/etc/init.d/checkroot.sh b/debian/src/initscripts/etc/init.d/checkroot.sh
index 3bf506b..2910dd9 100755
--- a/debian/src/initscripts/etc/init.d/checkroot.sh
+++ b/debian/src/initscripts/etc/init.d/checkroot.sh
@@ -22,86 +22,38 @@ FSCK_LOGFILE=/var/log/fsck/checkroot
 . /lib/lsb/init-functions
 . /lib/init/mount-functions.sh
 
-do_start () {
-	# Trap SIGINT so that we can handle user interrupt of fsck.
-	trap "" INT
+checkfs() {
+	fs="$1"
 
-	#
-	# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to
-	# be spawned from this script *before anything else* with a timeout,
-	# like sysv does.
-	#
-	[ "$SULOGIN" = yes ] && sulogin -t 30 $CONSOLE
-
-	KERNEL="$(uname -s)"
-	MACHINE="$(uname -m)"
+        read_fstab_entry "$fs"
 
-	read_fstab
-
-	#
-	# Activate the swap device(s) in /etc/fstab. This needs to be done
-	# before fsck, since fsck can be quite memory-hungry.
-	#
-	ENABLE_SWAP=no
-	case "$KERNEL" in
-	  Linux)
-	  	if [ "$NOSWAP" = yes ]
-		then
-			[ "$VERBOSE" = no ] || log_warning_msg "Not activating swap as requested via bootoption noswap."
-			ENABLE_SWAP=no
-		else
-			if [ "$swap_on_lv" = yes ]
-			then
-				[ "$VERBOSE" = no ] || log_warning_msg "Not activating swap on logical volume."
-			elif [ "$swap_on_file" = yes ]
-			then
-				[ "$VERBOSE" = no ] || log_warning_msg "Not activating swap on swapfile."
-			else
-				ENABLE_SWAP=yes
-			fi
-		fi
-		;;
-	  *)
-		ENABLE_SWAP=yes
-		;;
-	esac
-	if [ "$ENABLE_SWAP" = yes ]
-	then
-		if [ "$VERBOSE" = no ]
-		then
-			log_action_begin_msg "Activating swap"
-			swapon -a -e >/dev/null 2>&1
-			log_action_end_msg $?
-		else
-			log_daemon_msg "Activating swap"
-			swapon -a -v
-			log_end_msg $?
-		fi
+	if [ "$fs" = "/" ] ; then
+		fs="root"
+	else
+		MNT_CHECK="no"
 	fi
 
-	#
-	# Does the root device in /etc/fstab match with the actual device ?
-	# If not we try to use the /dev/root alias device, and if that
-	# fails we create a temporary node in /run.
-	#
-	if [ "$rootcheck" = yes ]
+	# Does the device in /etc/fstab match with the actual device ?
+	# If not we try to use the /dev/root alias device (for /), and
+	# if that fails we create a temporary node in /run.
+	if [ "$MNT_CHECK" = yes ]
 	then
-		ddev="$(mountpoint -qx $rootdev)"
-		rdev="$(mountpoint -d /)"
+		ddev="$(mountpoint -qx $MNT_DEV)"
+		rdev="$(mountpoint -d $MNT_DIR)"
 		if [ "$ddev" != "$rdev" ] && [ "$ddev" != "4:0" ]
 		then
 			if [ "$(mountpoint -qx /dev/root)" = "4:0" ]
 			then
-				rootdev=/dev/root
+				MNT_DEV=/dev/root
 			else
 				if \
-					rm -f /run/rootdev \
-					&& mknod -m 600 /run/rootdev b ${rdev%:*} ${rdev#*:} \
-					&& [ -e /run/rootdev ]
+					rm -f /run/fsckdev \
+					&& mknod -m 600 /run/fsckdev b ${rdev%:*} ${rdev#*:} \
+					&& [ -e /run/fsckdev ]
 				then
-					rootdev=/run/rootdev
+					MNT_DEV=/run/fsckdev
 				else
-					rootfatal=yes
+					dev_fatal=yes
 				fi
 			fi
 		fi
@@ -110,9 +62,9 @@ do_start () {
 	#
 	# Bother, said Pooh.
 	#
-	if [ "$rootfatal" = yes ]
+	if [ "$dev_fatal" = yes ]
 	then
-		log_failure_msg "The device node $rootdev for the root filesystem is missing or incorrect 
+		log_failure_msg "The device node $MNT_DEV for the $fs filesystem is missing or incorrect 
 or there is no entry for the root filesystem listed in /etc/fstab. 
 The system is also unable to create a temporary node in /run. 
 This means you have to fix the problem manually."
@@ -129,18 +81,18 @@ Will restart in 5 seconds."
 		reboot -f
 	fi
 
-	# See if we're on AC Power.  If not, we're not gonna run our
+	# See if we're on AC Power.  If not, we're not going to run our
 	# check.  If on_ac_power (in /usr/) is unavailable, behave as
 	# before and check all file systems needing it.
 # Disabled AC power check until fsck can be told to only check the
 # file system if it is corrupt when running on battery. (bug #526398)
-#	if which on_ac_power >/dev/null 2>&1 && [ "$rootcheck" = yes ]
+#	if which on_ac_power >/dev/null 2>&1 && [ "$MNT_CHECK" = yes ]
 #	then
 #		on_ac_power >/dev/null 2>&1
 #		if [ "$?" -eq 1 ]
 #		then
 #			log_warning_msg "On battery power, so skipping file system check."
-#			rootcheck=no
+#			MNT_CHECK=no
 #		fi
 #	fi
 
@@ -150,39 +102,39 @@ Will restart in 5 seconds."
 	FSCKCODE=0
 	if [ -f /fastboot ] || grep -s -w -i "fastboot" /proc/cmdline
 	then
-		[ "$rootcheck" = yes ] && log_warning_msg "Fast boot enabled, so skipping root file system check."
-		rootcheck=no
+		[ "$MNT_CHECK" = yes ] && log_warning_msg "Fast boot enabled, so skipping $fs file system check."
+		MNT_CHECK=no
 	fi
 
-	if [ "$rootcheck" = yes ]
+	if [ "$MNT_CHECK" = yes ]
 	then
 		#
-		# Ensure that root is quiescent and read-only before fsck'ing.
+		# Ensure that fs is quiescent and read-only before fsck'ing.
 		#
-		# mount -n -o remount,ro / would be the correct syntax but
+		# mount -n -o remount,ro $MNT_DIR would be the correct syntax but
 		# mount can get confused when there is a "bind" mount defined
-		# in fstab that bind-mounts "/" somewhere else.
+		# in fstab that bind-mounts "$MNT_DIR" somewhere else.
 		#
-		# So we use mount -n -o remount,ro $rootdev / but that can
+		# So we use mount -n -o remount,ro $MNT_DEV $MNT_DIR but that can
 		# fail on older kernels on sparc64/alpha architectures due
 		# to a bug in sys_mount().
 		#
 		# As a compromise we try both.
 		#
 		if \
-			! mount    -n -o remount,ro              $rootdev /              \
-			&& ! mount -n -o remount,ro -t dummytype $rootdev /  2>/dev/null \
-			&& ! mount -n -o remount,ro                       /  2>/dev/null
+			! mount    -n -o remount,ro              $MNT_DEV $MNT_DIR              \
+			&& ! mount -n -o remount,ro -t dummytype $MNT_DEV $MNT_DIR  2>/dev/null \
+			&& ! mount -n -o remount,ro                          $MNT_DIR  2>/dev/null
 		then
-			log_failure_msg "Cannot check root file system because it is not mounted read-only."
-			rootcheck=no
+			log_failure_msg "Cannot check $fs file system because it is not mounted read-only."
+			MNT_CHECK=no
 		fi
 	fi
 
 	#
 	# The actual checking is done here.
 	#
-	if [ "$rootcheck" = yes ]
+	if [ "$MNT_CHECK" = yes ]
 	then
 		if [ -f /forcefsck ] || grep -s -w -i "forcefsck" /proc/cmdline
 		then
@@ -208,11 +160,11 @@ Will restart in 5 seconds."
 		then
 			spinner=""
 		fi
-		
+
 		if [ "$VERBOSE" = no ]
 		then
-			log_action_begin_msg "Checking root file system"
-			logsave -s $FSCK_LOGFILE fsck $spinner $force $fix -t $roottype $rootdev
+			log_action_begin_msg "Checking $fs file system"
+			logsave -s $FSCK_LOGFILE fsck $spinner $force $fix -t $MNT_TYPE $MNT_DEV
 			FSCKCODE=$?
 			if [ "$FSCKCODE" = 0 ]
 			then
@@ -221,13 +173,16 @@ Will restart in 5 seconds."
 				log_action_end_msg 1 "code $FSCKCODE"
 			fi
 		else
-			log_daemon_msg "Will now check root file system"
-			logsave -s $FSCK_LOGFILE fsck $spinner $force $fix -V -t $roottype $rootdev
+			log_daemon_msg "Will now check $fs file system"
+			logsave -s $FSCK_LOGFILE fsck $spinner $force $fix -V -t $MNT_TYPE $MNT_DEV
 			FSCKCODE=$?
 			log_end_msg $FSCKCODE
 		fi
 	fi
 
+	# Remove /run/fsckdev if we created it.
+	rm -f /run/fsckdev
+
 	#
 	# If there was a failure, drop into single-user mode.
 	#
@@ -242,12 +197,12 @@ Will restart in 5 seconds."
 	elif [ "$FSCKCODE" -gt 3 ]
 	then
 		# Surprise! Re-directing from a HERE document (as in "cat << EOF")
-		# does not work because the root is currently read-only.
-		log_failure_msg "An automatic file system check (fsck) of the root filesystem failed. 
+		# does not work because the fs is currently read-only.
+		log_failure_msg "An automatic file system check (fsck) of the $fs filesystem failed. 
 A manual fsck must be performed, then the system restarted. 
 The fsck should be performed in maintenance mode with the 
-root filesystem mounted in read-only mode."
-		log_warning_msg "The root filesystem is currently mounted in read-only mode. 
+$fs filesystem mounted in read-only mode."
+		log_warning_msg "The $fs filesystem is currently mounted in read-only mode. 
 A maintenance shell will now be started. 
 After performing system maintenance, press CONTROL-D 
 to terminate the maintenance shell and restart the system."
@@ -262,7 +217,7 @@ Will restart in 5 seconds."
 		reboot -f
 	elif [ "$FSCKCODE" -gt 1 ]
 	then
-		log_failure_msg "The file system check corrected errors on the root partition 
+		log_failure_msg "The file system check corrected errors on the $fs partition 
 but requested that the system be restarted."
 		log_warning_msg "The system will be restarted in 5 seconds."
 		sleep 5
@@ -271,20 +226,87 @@ but requested that the system be restarted."
 	fi
 
 	#
-	# Remount root to final mode (rw or ro).
+	# Remount fs to final mode (rw or ro).
 	#
 	# See the comments above at the previous "mount -o remount"
 	# for an explanation why we try this twice.
 	#
-	if ! mount -n -o remount,$rootopts,$rootmode $fstabroot / 2>/dev/null
+	if ! mount -n -o remount,$MNT_OPTS,$MNT_MODE $MNT_DEV $MNT_DIR 2>/dev/null
+	then
+		mount -n -o remount,$MNT_OPTS,$MNT_MODE $MNT_DIR
+	fi
+}
+
+do_start () {
+	# Trap SIGINT so that we can handle user interrupt of fsck.
+	trap "" INT
+
+	#
+	# Set SULOGIN in /etc/default/rcS to yes if you want a sulogin to
+	# be spawned from this script *before anything else* with a timeout,
+	# like sysv does.
+	#
+	[ "$SULOGIN" = yes ] && sulogin -t 30 $CONSOLE
+
+	KERNEL="$(uname -s)"
+	MACHINE="$(uname -m)"
+
+	read_fstab_swap
+
+	#
+	# Activate the swap device(s) in /etc/fstab. This needs to be done
+	# before fsck, since fsck can be quite memory-hungry.
+	#
+	ENABLE_SWAP=no
+	case "$KERNEL" in
+	  Linux)
+	  	if [ "$NOSWAP" = yes ]
+		then
+			[ "$VERBOSE" = no ] || log_warning_msg "Not activating swap as requested via bootoption noswap."
+			ENABLE_SWAP=no
+		else
+			if [ "$swap_on_lv" = yes ]
+			then
+				[ "$VERBOSE" = no ] || log_warning_msg "Not activating swap on logical volume."
+			elif [ "$swap_on_file" = yes ]
+			then
+				[ "$VERBOSE" = no ] || log_warning_msg "Not activating swap on swapfile."
+			else
+				ENABLE_SWAP=yes
+			fi
+		fi
+		;;
+	  *)
+		ENABLE_SWAP=yes
+		;;
+	esac
+	if [ "$ENABLE_SWAP" = yes ]
 	then
-		mount -n -o remount,$rootopts,$rootmode /
+		if [ "$VERBOSE" = no ]
+		then
+			log_action_begin_msg "Activating swap"
+			swapon -a -e >/dev/null 2>&1
+			log_action_end_msg $?
+		else
+			log_daemon_msg "Activating swap"
+			swapon -a -v
+			log_end_msg $?
+		fi
 	fi
 
+
+	# fsck and remount filesystems
+	for fs in / /etc /usr; do
+		if mountpoint -q "$fs"; then
+			checkfs "$fs"
+		fi
+	done
+
 	# If possible, migrate /etc/mtab to be a symlink to
 	# /proc/mounts.  Note that not all systems e.g. Hurd currently
 	# support this.
-	if [ "$rootmode" != "ro" ]; then
+	read_fstab_entry /
+	if [ "$MNT_MODE" != "ro" ]; then
 		mtab_migrate
 	fi
 
@@ -293,11 +315,6 @@ but requested that the system be restarted."
 		restorecon /etc/mtab
 	fi
 
-	#
-	# Remove /run/rootdev if we created it.
-	#
-	rm -f /run/rootdev
-
 	# Update mount options for mounts created in early boot
 	# S01mountkernfs.sh
 	/etc/init.d/mountkernfs.sh reload
diff --git a/debian/src/initscripts/lib/init/mount-functions.sh b/debian/src/initscripts/lib/init/mount-functions.sh
index 345fdb6..81dd510 100644
--- a/debian/src/initscripts/lib/init/mount-functions.sh
+++ b/debian/src/initscripts/lib/init/mount-functions.sh
@@ -13,6 +13,48 @@ fstab_files()
     fi
 }
 
+# Resolve device node from a name.  This expands any LABEL or UUID.
+# $1=name
+# Resolved name is echoed.
+resolve_device() {
+	DEV="$1"
+
+	case $DEV in
+	LABEL=*)
+		DEV="${DEV#LABEL=}"
+
+		# support any / in LABEL= path (escape to \x2f)
+		case "${DEV}" in
+		*/*)
+		if command -v sed >/dev/null 2>&1; then
+			DEV="$(echo ${DEV} | sed 's,/,\\x2f,g')"
+		else
+			if [ "${DEV}" != "${DEV#/}" ]; then
+				DEV="\x2f${DEV#/}"
+			fi
+			if [ "${DEV}" != "${DEV%/}" ]; then
+				DEV="${DEV%/}\x2f"
+			fi
+			IFS='/'
+			newroot=
+			for s in $DEV; do
+				newroot="${newroot:+${newroot}\\x2f}${s}"
+			done
+			unset IFS
+			DEV="${newroot}"
+		fi
+		esac
+		DEV="/dev/disk/by-label/${DEV}"
+		;;
+	UUID=*)
+		DEV="/dev/disk/by-uuid/${DEV#UUID=}"
+		;;
+	esac
+	# Only canonicalise if a valid file, in case $DEV isn't a filename
+	[ -e "$DEV" ] && DEV=$(readlink -f "$DEV")
+	echo "$DEV"
+}
+
 # $1: directory
 is_empty_dir() {
 	for FILE in $1/* $1/.*
@@ -36,13 +78,7 @@ selinux_enabled () {
 #	device node,
 # 2) Swap that is on a md device or a file that may be on a md
 #	device,
-_read_fstab () {
-	echo "fstabroot=/dev/root"
-	echo "rootdev=none"
-	echo "roottype=none"
-	echo "rootopts=defaults"
-	echo "rootmode=rw"
-	echo "rootcheck=no"
+_read_fstab_swap () {
 	echo "swap_on_lv=no"
 	echo "swap_on_file=no"
 
@@ -70,31 +106,17 @@ _read_fstab () {
 				  *)
 					;;
 				esac
-				[ "$MTPT" != "/" ] && continue
-				echo rootdev=\"$DEV\"
-				echo fstabroot=\"$DEV\"
-				echo rootopts=\"$OPTS\"
-				echo roottype=\"$FSTYPE\"
-				( [ "$PASS" != 0 ] && [ "$PASS" != "" ]   ) && echo rootcheck=yes
-				( [ "$FSTYPE" = "nfs" ] || [ "$FSTYPE" = "nfs4" ] ) && echo rootcheck=no
-				case "$OPTS" in
-				  ro|ro,*|*,ro|*,ro,*)
-					echo rootmode=ro
-					;;
-				esac
 			done < "$file"
 		fi
 	done
 }
 
 # Read /etc/fstab, looking for:
-# 1) The root filesystem, resolving LABEL=*|UUID=* entries to the
-#	device node,
-# 2) Swap that is on a md device or a file that may be on a md
+# 1) Swap that is on a md device or a file that may be on a md
 #	device,
 
-read_fstab () {
-	eval "$(_read_fstab)"
+read_fstab_swap () {
+	eval "$(_read_fstab_swap)"
 }
 
 # Find a specific fstab entry
@@ -103,11 +125,14 @@ read_fstab () {
 _read_fstab_entry () {
 	# Not found by default.
 	echo "MNT_FSNAME="
+	echo "MNT_DEV="
 	echo "MNT_DIR="
 	echo "MNT_TYPE="
 	echo "MNT_OPTS="
 	echo "MNT_FREQ="
 	echo "MNT_PASS="
+	echo "MNT_CHECK=no"
+	echo "MNT_MODE=rw"
 
 	fstab_files | while read file; do
 		if [ -f "$file" ]; then
@@ -122,11 +147,19 @@ _read_fstab_entry () {
 						[ "$MNT_TYPE" = "$2" ] || continue;
 					fi
 	                                echo "MNT_FSNAME=$MNT_FSNAME"
+	                                echo "MNT_DEV=$(resolve_device "$MNT_FSNAME")"
 	                                echo "MNT_DIR=$MNT_DIR"
 	                                echo "MNT_TYPE=$MNT_TYPE"
 	                                echo "MNT_OPTS=$MNT_OPTS"
 	                                echo "MNT_FREQ=$MNT_FREQ"
 	                                echo "MNT_PASS=$MNT_PASS"
+					( [ "$MNT_PASS" != 0 ] && [ "$MNT_PASS" != "" ]   ) && echo "MNT_CHECK=yes"
+					( [ "$MNT_TYPE" = "nfs" ] || [ "$MNT_TYPE" = "nfs4" ] ) && echo "MNT_CHECK=no"
+					case "$MNT_OPTS" in
+					  ro|ro,*|*,ro|*,ro,*)
+						echo "MNT_MODE=ro"
+						;;
+					esac
 					break 2
 				fi
 				MNT_DIR=""
@@ -468,9 +501,6 @@ mount_run ()
 {
 	MNTMODE="$1"
 
-	# Needed to determine if root is being mounted read-only.
-	read_fstab
-
 	#
 	# Get some writable area available before the root is checked
 	# and remounted.  Note that /run may be handed over from the
@@ -598,7 +628,7 @@ mount_shm ()
 #
 mount_tmp ()
 {
-	MNTMODE="$1"
+	TMP_MODE="$1"
 
 	# If /tmp is a symlink, make sure the linked-to directory exists.
 	if [ -L /tmp ] && [ ! -d /tmp ]; then
@@ -616,7 +646,9 @@ mount_tmp ()
 
 	# If root is read only, default to mounting a tmpfs on /tmp,
 	# unless one is due to be mounted from fstab.
-	if [ "$RAMTMP" != "yes" ] && [ rw != "$rootmode" ]; then
+	# Needed to determine if root is being mounted read-only.
+	read_fstab_entry /
+	if [ "$RAMTMP" != "yes" ] && [ rw != "$MNT_MODE" ]; then
 		# If there's an entry in fstab for /tmp (any
 		# filesystem type, not just tmpfs), then we don't need
 		# a tmpfs on /tmp by default.
@@ -658,12 +690,12 @@ mount_tmp ()
 
 	# Mount /tmp as tmpfs if enabled.
 	if [ yes = "$RAMTMP" ]; then
-		domount "$MNTMODE" tmpfs shmfs /tmp tmpfs "-o${NODEV}nosuid$TMP_OPT"
+		domount "$TMP_MODE" tmpfs shmfs /tmp tmpfs "-o${NODEV}nosuid$TMP_OPT"
 		# Make sure we don't get cleaned
 		touch /tmp/.tmpfs
 	else
 		# When root is still read only, this will fail.
-		if [ mount_noupdate != "$MNTMODE" ] && [ rw = "$rootmode" ]; then
+		if [ mount_noupdate != "$TMP_MODE" ] && [ rw = "$MNT_MODE" ]; then
 			chmod "$TMP_MODE" /tmp
 		fi
 	fi
-- 
2.0.1


--- End Message ---
--- Begin Message ---
Source: sysvinit
Source-Version: 2.88dsf-59.9

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ian Jackson <[email protected]> (supplier of updated sysvinit 
package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 Feb 2017 21:55:39 +0000
Source: sysvinit
Binary: sysvinit-core sysvinit-utils sysv-rc initscripts bootlogd
Architecture: all amd64 source
Version: 2.88dsf-59.9
Distribution: unstable
Urgency: medium
Maintainer: Debian sysvinit maintainers 
<[email protected]>
Changed-By: Ian Jackson <[email protected]>
Closes: 757083 811377 833687
Description: 
 bootlogd   - daemon to log boot messages
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit-core - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Changes:
 sysvinit (2.88dsf-59.9) unstable; urgency=medium
 .
   [ Martin Pitt ]
   * Mark sysvinit-utils as Multi-Arch: foreign, like sysv-rc and initscripts.
 .
   [ Michael Biebl ]
   * Demote priority of sysv-rc and initscripts to optional.
 .
   [ Petter Reinholdtsen ]
   * Avoid remounting tmpfs, linprocfs and linsysfs on kFreeBSD
     (Closes: #833687).  These file systems are not remountable.  The
     change avoid a warning from mount.  Based on Patch from Jon Boden.
 .
   [ Ian Jackson ]
   * Add myself to Uploaders, as part of adopting the package.
     Closes:#811377 (RFA bug).
   * Add Benda Xu to Uploaders, as requested in #811377.
 .
   [ Ben Hutchings ]
   * Keep /usr mounted read-only on shutdown (Closes: #757083)
Checksums-Sha1: 
 c01a968dc291e044e1da07b264ab8265d61db8ec 2123 sysvinit_2.88dsf-59.9.dsc
 8cbf7ce4c5f6cbe3e0d9301050edd68825d305a6 132584 
sysvinit_2.88dsf-59.9.debian.tar.xz
 c52a1b6a50a58e5b642925844339f69e1fab7c4d 13620 
bootlogd-dbgsym_2.88dsf-59.9_amd64.deb
 cb9c9f91167e48e1b5b7c6307bcc8eb9968027ba 61404 bootlogd_2.88dsf-59.9_amd64.deb
 a7e7b634c487721e0b2e19154c24be506a13394e 84492 
initscripts_2.88dsf-59.9_amd64.deb
 f9b60dbf31962809ca1ef4bebf3d5cd6ca95dff7 67416 sysv-rc_2.88dsf-59.9_all.deb
 ff8e143b94dc60d8b285d7751a89e02165f20971 77318 
sysvinit-core-dbgsym_2.88dsf-59.9_amd64.deb
 50d799b04b0a041aac2a2fea39ac4a4224d21649 134654 
sysvinit-core_2.88dsf-59.9_amd64.deb
 5de58d328e99a5c9cb3c5020bbf86459eb96a010 24688 
sysvinit-utils-dbgsym_2.88dsf-59.9_amd64.deb
 0b5c6a725453f8b6006aa061b05827fbd30e564b 68436 
sysvinit-utils_2.88dsf-59.9_amd64.deb
 e26f2220aebb366cfe5b1453fccc690d981ce565 6534 
sysvinit_2.88dsf-59.9_amd64.buildinfo
Checksums-Sha256: 
 a943edeac16668d3e55583daa4033ad46469e84ffad014e0e2007d9c3167e63d 2123 
sysvinit_2.88dsf-59.9.dsc
 fbd5c085680d896ec6ee1c5a55ae2d8a5a6b9fd5a7ec1e13010dace24fdbcd5c 132584 
sysvinit_2.88dsf-59.9.debian.tar.xz
 ca6756c8816fbce0ec1a810f5df5a805a2c4516faaa3502f9fad86690e4ec025 13620 
bootlogd-dbgsym_2.88dsf-59.9_amd64.deb
 3ba575c0bfc8f88b7bca4e1e625625fcebfe62f4b3590c346d9b165e6aba0425 61404 
bootlogd_2.88dsf-59.9_amd64.deb
 7bebea0be5138e1a358c52bb544ea339524d03c137bfcc41055f019c10f640e7 84492 
initscripts_2.88dsf-59.9_amd64.deb
 b87873c5541f18fd8190e7e045a4323a48a2d5485185cc25a5aa776e463a3f02 67416 
sysv-rc_2.88dsf-59.9_all.deb
 8750a771ce635e9c26753993fc7b3ff35090577ec2a09b1c4b103ec8b9df256c 77318 
sysvinit-core-dbgsym_2.88dsf-59.9_amd64.deb
 8c909e85cbf89ea14c5b346f3bd847eac2a0e19ea321cf16f07643abbf5ba33c 134654 
sysvinit-core_2.88dsf-59.9_amd64.deb
 b19ba64d463f395f707641a41dc31079107f0549b2a2fc535d35c88e98260f46 24688 
sysvinit-utils-dbgsym_2.88dsf-59.9_amd64.deb
 4dc6fcf0e33bf4b0e87430d5e94167c2b72110927dc3682b879d3295961b022f 68436 
sysvinit-utils_2.88dsf-59.9_amd64.deb
 401ffaaf3413c15560fa3031fe9554437eefe049831ecb67e2a52db9936f995b 6534 
sysvinit_2.88dsf-59.9_amd64.buildinfo
Files: 
 43cc537837810d999843713edfc53947 2123 admin optional sysvinit_2.88dsf-59.9.dsc
 72540788e4304faf026760caea696223 132584 admin optional 
sysvinit_2.88dsf-59.9.debian.tar.xz
 b10075ca463e62207fe57ae200c11a01 13620 debug extra 
bootlogd-dbgsym_2.88dsf-59.9_amd64.deb
 c4d217f11c3d85fd8d456f092f19e463 61404 admin optional 
bootlogd_2.88dsf-59.9_amd64.deb
 a1e9a38d89fcc98d09eeeaf699d280e3 84492 admin optional 
initscripts_2.88dsf-59.9_amd64.deb
 a50b2f2cdc448f9d34ad6a29eb60952b 67416 admin optional 
sysv-rc_2.88dsf-59.9_all.deb
 30f274efb09c0d153a86c64c9157e6ba 77318 debug extra 
sysvinit-core-dbgsym_2.88dsf-59.9_amd64.deb
 924c4202967d599ef11b17b1d0d94520 134654 admin extra 
sysvinit-core_2.88dsf-59.9_amd64.deb
 6356af800816e30bb6cc3cb6e15ed989 24688 debug extra 
sysvinit-utils-dbgsym_2.88dsf-59.9_amd64.deb
 5d8551f7390cca016541229899f63483 68436 admin required 
sysvinit-utils_2.88dsf-59.9_amd64.deb
 4373e6b30a19dd08261bdee2469a1b0b 6534 admin optional 
sysvinit_2.88dsf-59.9_amd64.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCAAdFiEEVZrkbC1rbTJl58uh4+M5I0i1DTkFAlig5A4ACgkQ4+M5I0i1
DTni0QgAr9vghlVfo4iN+x0EI/TU6UhAQ1g8dqttntIm08pGPr4jxz1Lxn4StoF/
YmR5giK8sDLxTWoho8i8+vZuhPft8eAkbMBsVqtxNBxCAYrm4WNFaWuaFIJ7STGe
p6WpUDnPGmYxdRBPXxvF3wDyeU1+9kj3PFQXjNZgcq2Eb+j6OA0VjpwbZo0jiQdI
Y+dDuhuttl9wfDjh+EZIsJzGglwwXffqcIJ4aMksKMetVWO8FP2IWECsZrq34m/V
uVKtot826ZiwWJUZZNLzsLlPK9z5ciXJ7eRiPp/ZK1PlVT6VsPnzzVJR7V+WtJj9
XxdHUprxeY6LRQhWhWIbmQ9y16zkfg==
=HGo/
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-sysvinit-devel mailing list
[email protected]
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-sysvinit-devel

Reply via email to